Get educationClass
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve a class from the system. A class is a universal group with a special property that indicates to the system that the group is a class. Group members represent the students; group admins represent the teachers in the class. If you're using the delegated token, the user will only see classes in which they are members.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EduRoster.ReadBasic |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EduRoster.Read.All, EduRoster.ReadWrite.All |
HTTP request
GET /education/classes/{id}
Optional query parameters
This method supports the OData Query Parameters to help customize the response.
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and an educationClass object in the response body.
Example
Request
Here is an example of the request.
GET https://graph.microsoft.com/beta/education/classes/11023
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"id": "11023",
"description": "English Level 2",
"classCode": "11023",
"createdBy": {
"user": {
"displayName": "Susana Rocha",
"id": "14012",
}
},
"displayName": "English - Language 2",
"externalId": "301",
"externalName": "English Level 1",
"externalSource": "School of Fine Art",
"mailNickname": "fineartschool.net "
}
Feedback
Submit and view feedback for